<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:th="http://thymeleaf.org/"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">


    <title>ADMIN PANEL</title>
    <script
            src="https://code.jquery.com/jquery-3.5.1.js"
            integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc="
            crossorigin="anonymous"></script>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.23/css/jquery.dataTables.css">

    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.23/js/jquery.dataTables.js"></script>


    <script src="brisanjeValid.js"></script>
    <link rel="canonical" href="https://getbootstrap.com/docs/5.0/examples/starter-template/">
    <script>
        $(document).ready( function () {
            $('#tabelaKnjiga').DataTable();
        } );
    </script>


    <!-- Bootstrap core CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">

    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }
    </style>


    <!-- Custom styles for this template -->
    <link href="starter-template.css" rel="stylesheet">
</head>
<body>

<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Administratorski panel knjizara.rs</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarsExampleDefault">
            <ul class="navbar-nav me-auto mb-2 mb-md-0">
                <form sec:authorize="hasRole('ROLE_ADMIN')">
                <li class="nav-item active">
                    <a class="nav-link" aria-current="page" href="/korisnici">Korisnici</a>
                </li>
                </form>
                    <li class="nav-item">
                    <a class="nav-link" href="/knjige12">Knjige</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/" tabindex="-1" >Povratak na pocetnu</a>
                </li>

            </ul>
        </div>
    </div>
</nav>
<br><br>
<main class="container">

    <div class="container my-2">
        <h1>Lista svih knjiga:</h1>

        <form sec:authorize="hasRole('ROLE_ADMIN')" method="get" th:action="@{/dodajKnjiga}">
            <button class="btn btn-primary btn-sm mb-3" type="submit">Dodaj knjigu</button>
        </form>



        <table border="1" id="tabelaKnjiga" class="table table-striped table-responsive-md">
            <thead>
            <tr>
                <th>Slika korice:</th>
                <th>Naziv</th>
                <th>Autor</th>
                <th>Cena</th>
                <th>Godina Izdavanja</th>
                <th>Izdavacka kuca</th>
                <th>Broj stranica</th>
                <th>Jezik</th>
                <th>Zanr:</th>
                <th>Opis</th>
                <th>Pismo</th>
                <th>Povez</th>
                <th>Prosecna ocena</th>

                <form sec:authorize="hasRole('ROLE_ADMIN')">
                    <th>Akcija :</th>
                </form>

            </tr>
            </thead>
            <tbody>






            <tr th:each="knjiga : ${listaKnjiga}">
                <td class="">
                    <a th:href="@{/jednaKnjiga/{isbn}(isbn=${knjiga.isbn})}">
                    <img class="img-fluid img-thumbnail" th:src="@{${knjiga.slika}}" width="150">

                    </img></a>
                </td>
                <td th:text="${knjiga.naziv}"></td>
                <td th:text="${knjiga.autor}"></td>
                <td th:text="${knjiga.cena}"></td>
                <td th:text="${knjiga.godinaIzdavanja}"></td>
                <td th:text="${knjiga.izdavackaKuca}"></td>
                <td th:text="${knjiga.brojStranica}"></td>
                <td th:text="${knjiga.jezik}"></td>

                <td>

                    <!--

                    <div class="d-flex justify-content-center">
                    <div class="form-check">
                        <form class="form-inline" th:action="@{/filterByZanr}" method="get"
                              onsubmit="return isAnythingSelected('zanrSelect')">
                            <select class="custom-select my-2" size="2" multiple name="zanrID" id="zanrSelect">
                                <option th:each="zanr : ${listZanr}" th:value="${zanr.id}" th:text="${zanr.ime}"></option>
                            </select>
                            <button class="btn btn-outline-success ml-1 mr-1" type="submit">Filter</button>
                        </form>
                    </div>
                </div>
                    <!-->
                </td>
                <td th:text="${knjiga.opis}"></td>
                <td th:text="${knjiga.pismoKnjige}"></td>

                <td th:text="${knjiga.povez}"></td>
                <td th:text="${knjiga.prosecnaOcena}"></td>



                <form sec:authorize="hasRole('ROLE_ADMIN')" method="get">
                <td> <a th:href="@{/updateKnjiga/{isbn}(isbn=${knjiga.isbn})}" class="btn btn-primary">Izmena</a>
                    <!--th:href="@{/deleteKnjiga/{isbn}(isbn=${knjiga.isbn})}"-->
                    <a class="btn btn-danger" onClick="brisanje()">Obrisi</a>
                </td>
                </form>
            </tr>
            </tbody>
        </table>
    </div>



    </div>

</main><!-- /.container -->

<script>
    function obrisiFunct() {
        alert("Uspesno ste uklonili knjigu!");
    }
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>


</body>
</html>
